> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete conversation state

> Deletes all state and session data from user's conversation.



## OpenAPI

````yaml /specs/general-runtime/openapi.public.json delete /state/user/{userID}
openapi: 3.0.0
info:
  title: General-runtime
  description: Voiceflow runtime service
  version: 1.0.0
  contact: {}
servers:
  - url: https://general-runtime.voiceflow.com
security: []
paths:
  /state/user/{userID}:
    delete:
      tags:
        - State
        - Public-Docs
      summary: Delete conversation state
      description: Deletes all state and session data from user's conversation.
      operationId: StateController_deleteStateForId
      parameters:
        - name: userID
          required: true
          in: path
          schema:
            description: An ID which uniquely identifies the user having the conversation.
            type: string
            maxLength: 128
        - name: projectID
          required: true
          in: header
          schema:
            type: string
            description: ID of the target Voiceflow project.
      responses:
        '200':
          description: ''
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````